{
    "fields": [
        {
            "default": null,
            "name": "uniprotAccession",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "uniprotName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "proteinId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "position",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "reference",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "alternate",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "uniprotVariantId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "functionalDescription",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "substitutionScores",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "score",
                                "type": "double"
                            },
                            {
                                "name": "source",
                                "type": "string"
                            },
                            {
                                "name": "description",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "Score",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "keywords",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "features",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "id",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "start",
                                "type": "int"
                            },
                            {
                                "name": "end",
                                "type": "int"
                            },
                            {
                                "name": "type",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "description",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "ProteinFeature",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "ProteinVariantAnnotation",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}